<template>
  <div id="app">
    <kanban-board :stages="stages" :blocks="blocks" @update-block="updateBlock">
      <div v-for="stage in stages" :slot="stage" :key="stage">
        <h2>{{ stage }}</h2>
      </div>
      <div v-for="block in blocks" :slot="block.id" :key="block.id">
        <div>
          <strong>id:</strong> {{ block.id }}
        </div>
        <div>
          {{ block.title }}
        </div>
      </div>
    </kanban-board>
  </div>
</template>

<script>
var Airtable = require('airtable');
var base = new Airtable({apiKey: 'keyS9trR1RqwnCn3i'}).base('appWC1vg7U7T65ofg');

let arrayPrio = [];
let arrayName = [];
let arrayObj = [];
let i = 0;
base('Table 1').select({
    // Selecting the first 4 records in Grid view:
    fields: ["Name", "Priorité"],
    view: "Grid view"
}).eachPage(function page(records, fetchNextPage) {
    // This function (`page`) will get called for each page of records.

    records.forEach(function(record) {
        arrayName.push(record.get('Name'));
        arrayPrio.push(record.get('Priorité'));

        var objtmp = {id: i, status: record.get('Priorité'), title: record.get('Name')};
        arrayObj.push(objtmp);
        i = i+1;
    });

    // To fetch the next page of records, call `maxRecords: 4maxRecords: 4fetchNextPage`.
    // If there are more records, `page` will get called again.
    // If there are no more records, `done` will get called.
    fetchNextPage();

}, function done(err) {
    if (err) { console.error(err); return; }
});

export default {
  name: 'app',
  data () {
    return {
      stages: arrayPrio,
      blocks: arrayObj,
    }
  }
}
</script>

<style lang="scss">
  @import './assets/kanban.scss';
</style>
